PHP 手冊
前一頁 |  | 下一頁

# DOMDocument->createEntityReference()

DOMDocument->createEntityReference() -- Create new entity reference node

## Description

class DOMDocument {
DOMEntityReference createEntityReference ( string name )
}

This function creates a new instance of class DOMEntityReference. This node will not show up in the document unless it is inserted with e.g. DOMNode->appendChild().

## Parameters

name

  The content of the entity reference.

## Return Values

The new DOMEntityReference or `FALSE` if an error occured.

## Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if name contains an invalid character.

## 參考

DOMNode->appendChild()
DOMDocument->createAttribute()
DOMDocument->createAttributeNS()
DOMDocument->createCDATASection()
DOMDocument->createComment()
DOMDocument->createDocumentFragment()
DOMDocument->createElement()
DOMDocument->createElementNS()
DOMDocument->createProcessingInstruction()
DOMDocument->createTextNode()

前一頁 | 內容 | 下一頁
DOMDocument->createElementNS() | 上一層 | DOMDocument->createProcessingInstruction()